/*
** Filename: android_acc_iomux.c
**
** Automatically created by Application Wizard 1.4.2
**
** Part of solution android_acc in project android_acc
**
** Comments:
**
** Important: Sections between markers "FTDI:S*" and "FTDI:E*" will be overwritten by
** the Application Wizard
*/
#include "vos.h"

void iomux_setup(void)
{
	/* FTDI:SIO IOMux Functions */
	// UART_RXD to pin 52 as Input.
	vos_iomux_define_input(52, IOMUX_IN_UART_RXD);
	// UART_TXD to pin 51 as Output.
	vos_iomux_define_output(51, IOMUX_OUT_UART_TXD);
	// GPIO_Port_A_0 to pin 57 as Output.
	vos_iomux_define_output(57, IOMUX_OUT_GPIO_PORT_A_0);
	vos_iocell_set_config(57,VOS_IOCELL_DRIVE_CURRENT_8MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_NONE);
	// GPIO_Port_A_1 to pin 58 as Output.
	vos_iomux_define_output(58, IOMUX_OUT_GPIO_PORT_A_1);
	vos_iocell_set_config(58,VOS_IOCELL_DRIVE_CURRENT_8MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_NONE);
	// GPIO_Port_A_2 to pin 59 as Output.
	vos_iomux_define_output(59, IOMUX_OUT_GPIO_PORT_A_2);
	vos_iocell_set_config(59,VOS_IOCELL_DRIVE_CURRENT_8MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_NONE);
	// GPIO_Port_A_3 to pin 60 as Output.
	vos_iomux_define_output(60, IOMUX_OUT_GPIO_PORT_A_3);
	vos_iocell_set_config(60,VOS_IOCELL_DRIVE_CURRENT_8MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_NONE);
	// SPI_Master_CS_0 to pin 23 as Output.
	vos_iomux_define_output(23, IOMUX_OUT_SPI_MASTER_CS_0);
	// SPI_Master_MOSI to pin 20 as Output.
	vos_iomux_define_output(20, IOMUX_OUT_SPI_MASTER_MOSI);
	// SPI_Master_MISO to pin 22 as Input.
	vos_iomux_define_input(22, IOMUX_IN_SPI_MASTER_MISO);
	// SPI_Master_CLK to pin 19 as Output.
	vos_iomux_define_output(19, IOMUX_OUT_SPI_MASTER_CLK);
	// PWM_1 to pin 12 as Output.
	vos_iomux_define_output(12, IOMUX_OUT_PWM_1);
	// GPIO_Port_B_4 to pin 28 as Input.
	vos_iomux_define_input(28, IOMUX_IN_GPIO_PORT_B_4);
	vos_iocell_set_config(28,VOS_IOCELL_DRIVE_CURRENT_4MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_UP_75K);
	// GPIO_Port_B_5 to pin 29 as Input.
	vos_iomux_define_input(29, IOMUX_IN_GPIO_PORT_B_5);
	vos_iocell_set_config(29,VOS_IOCELL_DRIVE_CURRENT_4MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_UP_75K);
	// GPIO_Port_B_6 to pin 31 as Output.
	vos_iomux_define_input(31, IOMUX_IN_GPIO_PORT_B_6);
	vos_iocell_set_config(31,VOS_IOCELL_DRIVE_CURRENT_4MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_UP_75K);
	// GPIO_Port_B_7 to pin 32 as Input.
	vos_iomux_define_input(32, IOMUX_IN_GPIO_PORT_B_7);
	vos_iocell_set_config(32,VOS_IOCELL_DRIVE_CURRENT_4MA,VOS_IOCELL_TRIGGER_NORMAL,
								VOS_IOCELL_SLEW_RATE_SLOW, VOS_IOCELL_PULL_UP_75K);
	// Debugger to pin 11 as Bi-Directional.
	vos_iomux_define_bidi(199, IOMUX_IN_DEBUGGER, IOMUX_OUT_DEBUGGER);
	/* FTDI:EIO */
}
