<?xml version="1.0"?>
<VinTag>
 <version>1.0.0</version>
 <file name="android_acc_iomux.c">
  <struct name="_vos_tcb_t" line="78" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="next" offset="0" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="state" offset="16" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="orig_priority" offset="24" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="priority" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="quantum" offset="40" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="delay" offset="48" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="sp" offset="64" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="eax" offset="80" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="ebx" offset="112" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="ecx" offset="144" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r0" offset="176" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r1" offset="208" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r2" offset="240" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="r3" offset="272" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="system_data" offset="304" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="system_profiler" offset="320" size="16"
    basetype="VOID" baseattr="ptr,"/>
   <member name="flags" offset="336" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="semaphore_list" offset="352" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <enum name="dma_status" line="29" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <value name="DMA_OK" const="0"/>
   <value name="DMA_INVALID_PARAMETER" const="1"/>
   <value name="DMA_ACQUIRE_ERROR" const="2"/>
   <value name="DMA_ENABLE_ERROR" const="3"/>
   <value name="DMA_DISABLE_ERROR" const="4"/>
   <value name="DMA_CONFIGURE_ERROR" const="5"/>
   <value name="DMA_ERROR" const="6"/>
   <value name="DMA_FIFO_ERROR" const="7"/>
  </enum>
  <struct name="_vos_semaphore_list_t" line="155" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="next" offset="0" size="16"
    basename="_vos_semaphore_list_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="siz" offset="16" size="8"
    basetype="CHAR" baseattr="signed,"/>
   <member name="flags" offset="24" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="result" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="list" offset="40" size="16"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr," basearray="1,"/>
  </struct>
  <struct name="_vos_mutex_t" line="124" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="threads" offset="0" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="owner" offset="16" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="attr" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="ceiling" offset="40" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_device_t" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h">
   <member name="mutex" offset="0" size="48"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr=""/>
   <member name="driver" offset="48" size="16"
    basename="_vos_driver_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="context" offset="64" size="16"
    basetype="VOID" baseattr="ptr,"/>
  </struct>
  <struct name="_vos_driver_t" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h">
   <member name="open" offset="0" size="32"
    basetype="VOID" baseattr=""/>
   <member name="close" offset="32" size="32"
    basetype="VOID" baseattr=""/>
   <member name="read" offset="64" size="32"
    basetype="CHAR" baseattr="signed,"/>
   <member name="write" offset="96" size="32"
    basetype="CHAR" baseattr="signed,"/>
   <member name="ioctl" offset="128" size="32"
    basetype="CHAR" baseattr="signed,"/>
   <member name="interrupt" offset="160" size="32"
    basetype="VOID" baseattr=""/>
   <member name="flags" offset="192" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <struct name="_vos_system_data_area_t" line="200" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="next" offset="0" size="16"
    basename="_vos_system_data_area_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="tcb" offset="16" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="count" offset="32" size="32"
    basetype="INT" baseattr="unsigned,"/>
   <member name="name" offset="64" size="16"
    basetype="CHAR" baseattr="signed,ptr,"/>
  </struct>
  <enum name="IOMUX_INPUT_SIGNALS" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h">
   <value name="IOMUX_IN_DEBUGGER" const="0"/>
   <value name="IOMUX_IN_UART_RXD" const="1"/>
   <value name="IOMUX_IN_UART_CTS_N" const="2"/>
   <value name="IOMUX_IN_UART_DSR_N" const="3"/>
   <value name="IOMUX_IN_UART_DCD" const="4"/>
   <value name="IOMUX_IN_UART_RI" const="5"/>
   <value name="IOMUX_IN_FIFO_DATA_0" const="6"/>
   <value name="IOMUX_IN_FIFO_DATA_1" const="7"/>
   <value name="IOMUX_IN_FIFO_DATA_2" const="8"/>
   <value name="IOMUX_IN_FIFO_DATA_3" const="9"/>
   <value name="IOMUX_IN_FIFO_DATA_4" const="10"/>
   <value name="IOMUX_IN_FIFO_DATA_5" const="11"/>
   <value name="IOMUX_IN_FIFO_DATA_6" const="12"/>
   <value name="IOMUX_IN_FIFO_DATA_7" const="13"/>
   <value name="IOMUX_IN_FIFO_OE_N" const="14"/>
   <value name="IOMUX_IN_FIFO_RD_N" const="15"/>
   <value name="IOMUX_IN_FIFO_WR_N" const="16"/>
   <value name="IOMUX_IN_SPI_SLAVE_0_CLK" const="17"/>
   <value name="IOMUX_IN_SPI_SLAVE_0_MOSI" const="18"/>
   <value name="IOMUX_IN_SPI_SLAVE_0_CS" const="19"/>
   <value name="IOMUX_IN_SPI_SLAVE_1_CLK" const="20"/>
   <value name="IOMUX_IN_SPI_SLAVE_1_MOSI" const="21"/>
   <value name="IOMUX_IN_SPI_SLAVE_1_CS" const="22"/>
   <value name="IOMUX_IN_SPI_MASTER_MISO" const="23"/>
   <value name="IOMUX_IN_GPIO_PORT_A_0" const="24"/>
   <value name="IOMUX_IN_GPIO_PORT_A_1" const="25"/>
   <value name="IOMUX_IN_GPIO_PORT_A_2" const="26"/>
   <value name="IOMUX_IN_GPIO_PORT_A_3" const="27"/>
   <value name="IOMUX_IN_GPIO_PORT_A_4" const="28"/>
   <value name="IOMUX_IN_GPIO_PORT_A_5" const="29"/>
   <value name="IOMUX_IN_GPIO_PORT_A_6" const="30"/>
   <value name="IOMUX_IN_GPIO_PORT_A_7" const="31"/>
   <value name="IOMUX_IN_GPIO_PORT_B_0" const="32"/>
   <value name="IOMUX_IN_GPIO_PORT_B_1" const="33"/>
   <value name="IOMUX_IN_GPIO_PORT_B_2" const="34"/>
   <value name="IOMUX_IN_GPIO_PORT_B_3" const="35"/>
   <value name="IOMUX_IN_GPIO_PORT_B_4" const="36"/>
   <value name="IOMUX_IN_GPIO_PORT_B_5" const="37"/>
   <value name="IOMUX_IN_GPIO_PORT_B_6" const="38"/>
   <value name="IOMUX_IN_GPIO_PORT_B_7" const="39"/>
   <value name="IOMUX_IN_GPIO_PORT_C_0" const="40"/>
   <value name="IOMUX_IN_GPIO_PORT_C_1" const="41"/>
   <value name="IOMUX_IN_GPIO_PORT_C_2" const="42"/>
   <value name="IOMUX_IN_GPIO_PORT_C_3" const="43"/>
   <value name="IOMUX_IN_GPIO_PORT_C_4" const="44"/>
   <value name="IOMUX_IN_GPIO_PORT_C_5" const="45"/>
   <value name="IOMUX_IN_GPIO_PORT_C_6" const="46"/>
   <value name="IOMUX_IN_GPIO_PORT_C_7" const="47"/>
   <value name="IOMUX_IN_GPIO_PORT_D_0" const="48"/>
   <value name="IOMUX_IN_GPIO_PORT_D_1" const="49"/>
   <value name="IOMUX_IN_GPIO_PORT_D_2" const="50"/>
   <value name="IOMUX_IN_GPIO_PORT_D_3" const="51"/>
   <value name="IOMUX_IN_GPIO_PORT_D_4" const="52"/>
   <value name="IOMUX_IN_GPIO_PORT_D_5" const="53"/>
   <value name="IOMUX_IN_GPIO_PORT_D_6" const="54"/>
   <value name="IOMUX_IN_GPIO_PORT_D_7" const="55"/>
   <value name="IOMUX_IN_GPIO_PORT_E_0" const="56"/>
   <value name="IOMUX_IN_GPIO_PORT_E_1" const="57"/>
   <value name="IOMUX_IN_GPIO_PORT_E_2" const="58"/>
   <value name="IOMUX_IN_GPIO_PORT_E_3" const="59"/>
   <value name="IOMUX_IN_GPIO_PORT_E_4" const="60"/>
   <value name="IOMUX_IN_GPIO_PORT_E_5" const="61"/>
   <value name="IOMUX_IN_GPIO_PORT_E_6" const="62"/>
   <value name="IOMUX_IN_GPIO_PORT_E_7" const="63"/>
  </enum>
  <struct name="_vos_cond_var_t" line="180" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="threads" offset="0" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="lock" offset="16" size="16"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="state" offset="32" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <enum name="IOMUX_OUTPUT_SIGNALS" line="106" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h">
   <value name="IOMUX_OUT_DEBUGGER" const="0"/>
   <value name="IOMUX_OUT_UART_TXD" const="1"/>
   <value name="IOMUX_OUT_UART_RTS_N" const="2"/>
   <value name="IOMUX_OUT_UART_DTR_N" const="3"/>
   <value name="IOMUX_OUT_UART_TX_ACTIVE" const="4"/>
   <value name="IOMUX_OUT_FIFO_DATA_0" const="5"/>
   <value name="IOMUX_OUT_FIFO_DATA_1" const="6"/>
   <value name="IOMUX_OUT_FIFO_DATA_2" const="7"/>
   <value name="IOMUX_OUT_FIFO_DATA_3" const="8"/>
   <value name="IOMUX_OUT_FIFO_DATA_4" const="9"/>
   <value name="IOMUX_OUT_FIFO_DATA_5" const="10"/>
   <value name="IOMUX_OUT_FIFO_DATA_6" const="11"/>
   <value name="IOMUX_OUT_FIFO_DATA_7" const="12"/>
   <value name="IOMUX_OUT_FIFO_RXF_N" const="13"/>
   <value name="IOMUX_OUT_FIFO_TXE_N" const="14"/>
   <value name="IOMUX_OUT_PWM_0" const="15"/>
   <value name="IOMUX_OUT_PWM_1" const="16"/>
   <value name="IOMUX_OUT_PWM_2" const="17"/>
   <value name="IOMUX_OUT_PWM_3" const="18"/>
   <value name="IOMUX_OUT_PWM_4" const="19"/>
   <value name="IOMUX_OUT_PWM_5" const="20"/>
   <value name="IOMUX_OUT_PWM_6" const="21"/>
   <value name="IOMUX_OUT_PWM_7" const="22"/>
   <value name="IOMUX_OUT_SPI_SLAVE_0_MOSI" const="23"/>
   <value name="IOMUX_OUT_SPI_SLAVE_0_MISO" const="24"/>
   <value name="IOMUX_OUT_SPI_SLAVE_1_MOSI" const="25"/>
   <value name="IOMUX_OUT_SPI_SLAVE_1_MISO" const="26"/>
   <value name="IOMUX_OUT_SPI_MASTER_CLK" const="27"/>
   <value name="IOMUX_OUT_SPI_MASTER_MOSI" const="28"/>
   <value name="IOMUX_OUT_SPI_MASTER_CS_0" const="29"/>
   <value name="IOMUX_OUT_SPI_MASTER_CS_1" const="30"/>
   <value name="IOMUX_OUT_FIFO_CLKOUT_245" const="31"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_0" const="32"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_1" const="33"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_2" const="34"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_3" const="35"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_4" const="36"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_5" const="37"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_6" const="38"/>
   <value name="IOMUX_OUT_GPIO_PORT_A_7" const="39"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_0" const="40"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_1" const="41"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_2" const="42"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_3" const="43"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_4" const="44"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_5" const="45"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_6" const="46"/>
   <value name="IOMUX_OUT_GPIO_PORT_B_7" const="47"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_0" const="48"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_1" const="49"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_2" const="50"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_3" const="51"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_4" const="52"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_5" const="53"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_6" const="54"/>
   <value name="IOMUX_OUT_GPIO_PORT_C_7" const="55"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_0" const="56"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_1" const="57"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_2" const="58"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_3" const="59"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_4" const="60"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_5" const="61"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_6" const="62"/>
   <value name="IOMUX_OUT_GPIO_PORT_D_7" const="63"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_0" const="64"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_1" const="65"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_2" const="66"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_3" const="67"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_4" const="68"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_5" const="69"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_6" const="70"/>
   <value name="IOMUX_OUT_GPIO_PORT_E_7" const="71"/>
  </enum>
  <struct name="_vos_semaphore_t" line="148" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <member name="val" offset="0" size="16"
    basetype="SHORT" baseattr="signed,"/>
   <member name="threads" offset="16" size="16"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
   <member name="usage_count" offset="32" size="8"
    basetype="CHAR" baseattr="signed,"/>
  </struct>
  <struct name="_vos_dma_config_t" line="41" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <member name="src" offset="0" size="16"
    basename="__unnamed_struct_1" basetype="STRUCT" baseattr=""/>
   <member name="dest" offset="16" size="16"
    basename="__unnamed_struct_2" basetype="STRUCT" baseattr=""/>
   <member name="bufsiz" offset="32" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="mode" offset="48" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="fifosize" offset="56" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="flow_control" offset="64" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
   <member name="afull_trigger" offset="72" size="8"
    basetype="CHAR" baseattr="unsigned,"/>
  </struct>
  <enum name="__anon_enum_type_1" line="75" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h">
   <value name="IDLE" const="0"/>
   <value name="BLOCKED" const="1"/>
   <value name="READY" const="2"/>
   <value name="RUNNING" const="3"/>
   <value name="DELAYED" const="4"/>
   <value name="GONE" const="5"/>
  </enum>
  <struct name="__unnamed_struct_1" line="45" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <member name="io_addr" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="mem_addr" offset="0" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </struct>
  <struct name="__unnamed_struct_2" line="49" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h">
   <member name="io_addr" offset="0" size="16"
    basetype="SHORT" baseattr="unsigned,"/>
   <member name="mem_addr" offset="0" size="16"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </struct>
  <enum name="IOMUX_STATUS" line="195" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h">
   <value name="IOMUX_OK" const="0"/>
   <value name="IOMUX_INVALID_SIGNAL" const="1"/>
   <value name="IOMUX_INVALID_PIN_SELECTION" const="2"/>
   <value name="IOMUX_UNABLE_TO_ROUTE_SIGNAL" const="3"/>
   <value name="IOMUX_INVLAID_IOCELL_DRIVE_CURRENT" const="4"/>
   <value name="IOMUX_INVLAID_IOCELL_TRIGGER" const="5"/>
   <value name="IOMUX_INVLAID_IOCELL_SLEW_RATE" const="6"/>
   <value name="IOMUX_INVLAID_IOCELL_PULL" const="7"/>
   <value name="IOMUX_ERROR" const="8"/>
  </enum>
  <typedef name="vos_semaphore_list_t" line="161" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_semaphore_list_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <typedef name="__unknown" line="35" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <typedef name="vos_mutex_t" line="129" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_mutex_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_device_t" line="40" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basename="_vos_device_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_driver_t" line="33" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basename="_vos_driver_t" basetype="STRUCT" baseattr=""/>
  <typedef name="vos_system_data_area_t" line="205" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_system_data_area_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF_IO" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <typedef name="__unknown" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <typedef name="__unknown" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="SHORT" baseattr="unsigned,"/>
   <typedef name="__unknown" line="39" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="SHORT" baseattr="unsigned,ptr,"/>
  </proto>
  <typedef name="vos_cond_var_t" line="184" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_cond_var_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF_INT" line="40" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="PF_OPEN" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <typedef name="__unknown" line="36" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <typedef name="vos_semaphore_t" line="152" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_semaphore_t" basetype="STRUCT" baseattr=""/>
  <proto name="PF_CLOSE" line="37" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <typedef name="__unknown" line="37" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="PF_IOCTL" line="38" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <typedef name="__unknown" line="38" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <typedef name="vos_dma_config_t" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basename="_vos_dma_config_t" basetype="STRUCT" baseattr=""/>
  <proto name="fnVoidPtr" line="42" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <typedef name="vos_tcb_t" line="97" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_tcb_t" basetype="STRUCT" baseattr=""/>
  <proto name="iomux_setup" line="15" file="android_acc_iomux.c"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_dma_get_fifo_flow_control" line="85" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="85" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_start_scheduler" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_signal_semaphore_from_isr" line="173" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="s" line="173" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_malloc" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="ptr,">
   <var name="size" line="25" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_create_thread_ex" line="101" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,">
   <var name="priority" line="101" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="stack" line="101" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="function" line="101" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="FUNCTION" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr=""/>
   <var name="name" line="101" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="signed,ptr,"/>
   <var name="arg_size" line="101" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_memcpy" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="ptr,">
   <var name="destination" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="source" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="const,ptr,"/>
   <var name="num" line="28" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_memset" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="ptr,">
   <var name="dstptr" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
   <var name="value" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="signed,"/>
   <var name="num" line="27" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_get_package_type" line="225" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
  </proto>
  <proto name="vos_dma_get_fifo_data_register" line="84" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="h" line="84" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_signal_semaphore" line="172" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="s" line="172" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_get_fifo_data" line="87" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="87" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="dat" line="87" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_iocell_get_config" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="drive_current" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="trigger" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="slew_rate" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="pull" line="235" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_iomux_define_bidi" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="input_signal" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="output_signal" line="232" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_iocell_set_config" line="236" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="236" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="drive_current" line="236" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="trigger" line="236" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="slew_rate" line="236" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="pull" line="236" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_get_chip_revision" line="228" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
  </proto>
  <proto name="vos_wait_semaphore_ex" line="171" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="signed,">
   <var name="l" line="171" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_list_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_enable_interrupts" line="72" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="mask" line="72" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dev_read" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="buf" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="num_to_read" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="num_read" line="54" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_dev_open" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="dev_num" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_halt_cpu" line="240" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_dev_init" line="50" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="dev_num" line="50" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="driver_cb" line="50" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_driver_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="context" line="50" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_get_fifo_count" line="86" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="h" line="86" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_iomux_define_input" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="signal" line="230" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_disable_interrupts" line="73" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="mask" line="73" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="INT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_get_idle_thread_tcb" line="104" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,">
  </proto>
  <proto name="vos_init_heap" line="24" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_dev_close" line="57" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="VOID" baseattr="">
   <var name="h" line="57" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_wdt_clear" line="253" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_dev_ioctl" line="56" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="56" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="cb" line="56" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dev_write" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="buf" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="num_to_write" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="num_written" line="55" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\devman.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,ptr,"/>
  </proto>
  <proto name="vos_get_clock_frequency" line="218" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
  </proto>
  <proto name="vos_set_clock_frequency" line="217" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="frequency" line="217" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dma_enable" line="81" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="81" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_reset_vnc2" line="243" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_iomux_define_output" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="signal" line="231" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_wdt_enable" line="252" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="bitPosition" line="252" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dma_wait_on_complete" line="83" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="VOID" baseattr="">
   <var name="h" line="83" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_lock_mutex" line="136" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="136" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_power_down" line="237" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="wakeMask" line="237" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_init_mutex" line="135" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="135" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="state" line="135" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_get_priority_ceiling" line="139" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="m" line="139" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_disable" line="82" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="82" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_set_priority_ceiling" line="140" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="140" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="priority" line="140" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dma_release" line="78" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="VOID" baseattr="">
   <var name="h" line="78" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_iomux_disable_output" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="pin" line="233" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\iomux.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_dma_acquire" line="77" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="SHORT" baseattr="unsigned,">
  </proto>
  <proto name="vos_delay_msecs" line="106" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="ms" line="106" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_stack_usage" line="195" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="SHORT" baseattr="unsigned,">
   <var name="tcb" line="195" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_get_profile" line="198" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="INT" baseattr="unsigned,">
   <var name="tcb" line="198" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_delay_cancel" line="107" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="tcb" line="107" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_dma_retained_configure" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="mem_addr" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,ptr,"/>
   <var name="bufsiz" line="80" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_unlock_mutex" line="138" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="m" line="138" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_create_thread" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basename="_vos_tcb_t" basetype="STRUCT" baseattr="ptr,">
   <var name="priority" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="stack" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="function" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="FUNCTION" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr=""/>
   <var name="arg_size" line="100" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_dma_configure" line="79" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="h" line="79" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="cb" line="79" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\dma.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_dma_config_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_init_cond_var" line="186" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="cv" line="186" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_cond_var_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_wait_cond_var" line="187" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="cv" line="187" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_cond_var_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="m" line="187" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_stop_profiler" line="197" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_trylock_mutex" line="137" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="CHAR" baseattr="unsigned,">
   <var name="m" line="137" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_mutex_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_free" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
   basetype="VOID" baseattr="">
   <var name="ptrFree" line="26" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\memmgmt.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="VOID" baseattr="ptr,"/>
  </proto>
  <proto name="vos_init" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="quantum" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
   <var name="tick_cnt" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
   <var name="num_devices" line="53" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="CHAR" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_set_idle_thread_tcb_size" line="103" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="tcb_size" line="103" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="unsigned,"/>
  </proto>
  <proto name="vos_init_semaphore" line="169" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="sem" line="169" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
   <var name="count" line="169" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basetype="SHORT" baseattr="signed,"/>
  </proto>
  <proto name="vos_wait_semaphore" line="170" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="s" line="170" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_semaphore_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
  <proto name="vos_start_profiler" line="196" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
  </proto>
  <proto name="vos_signal_cond_var" line="188" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
   basetype="VOID" baseattr="">
   <var name="cv" line="188" file="C:\Program Files\FTDI\Vinculum II Toolchain\Firmware\kernel\include\vos.h"
    type="AUTO" storage="AUTO VAR" attr="param,"
    basename="_vos_cond_var_t" basetype="STRUCT" baseattr="ptr,"/>
  </proto>
 <function name="iomux_setup" line="15" file="android_acc_iomux.c" 
  basetype="VOID" baseattr="">
  <block line="16" file="android_acc_iomux.c">
    <var name="packageType" line="18" file="android_acc_iomux.c"
     type="AUTO" storage="AUTO VAR" attr=""
     basetype="CHAR" baseattr="unsigned,"/>
   <block line="21" file="android_acc_iomux.c">
   </block>
  </block>
 </function>
 </file>
</VinTag>
