.FILE "Debug\android_acc_iomux.c"

.DATA

.WEAK	"%eax"
.WEAK	"%ebx"
.WEAK	"%ecx"


.STRUCT	"_vos_tcb_t"	368
.STRUCTMEM	"next"	"_vos_tcb_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"state"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"orig_priority"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"priority"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"quantum"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"delay"	"short"	16	0	0	0	0	0	0	
.STRUCTMEM	"sp"	"short"	16	0	0	0	0	0	0	
.STRUCTMEM	"eax"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"ebx"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"ecx"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"r0"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"r1"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"r2"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"r3"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"system_data"	"void"	16	0	1	0	0	0	1	
.STRUCTMEM	"system_profiler"	"void"	16	0	1	0	0	0	1	
.STRUCTMEM	"flags"	"short"	16	0	0	0	0	0	0	
.STRUCTMEM	"semaphore_list"	"void"	16	0	1	0	0	0	1	
.STRUCT_END	"_vos_tcb_t"

.ENUM	"dma_status"
.ENUMERATOR	"DMA_OK"	0
.ENUMERATOR	"DMA_INVALID_PARAMETER"	1
.ENUMERATOR	"DMA_ACQUIRE_ERROR"	2
.ENUMERATOR	"DMA_ENABLE_ERROR"	3
.ENUMERATOR	"DMA_DISABLE_ERROR"	4
.ENUMERATOR	"DMA_CONFIGURE_ERROR"	5
.ENUMERATOR	"DMA_ERROR"	6
.ENUMERATOR	"DMA_FIFO_ERROR"	7
.ENUM_END	"dma_status"

.STRUCT	"_vos_semaphore_list_t"	56
.STRUCTMEM	"next"	"_vos_semaphore_list_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"siz"	"char"	8	1	0	0	0	0	0	
.STRUCTMEM	"flags"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"result"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"list"	"_vos_semaphore_t"	16	0	1	0	1	1	1	
.STRUCT_END	"_vos_semaphore_list_t"

.STRUCT	"_vos_mutex_t"	48
.STRUCTMEM	"threads"	"_vos_tcb_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"owner"	"_vos_tcb_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"attr"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"ceiling"	"char"	8	0	0	0	0	0	0	
.STRUCT_END	"_vos_mutex_t"

.STRUCT	"_vos_device_t"	80
.STRUCTMEM	"mutex"	"_vos_mutex_t"	48	0	0	0	0	0	0	
.STRUCTMEM	"driver"	"_vos_driver_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"context"	"void"	16	0	1	0	0	0	1	
.STRUCT_END	"_vos_device_t"

.STRUCT	"_vos_driver_t"	200
.STRUCTMEM	"open"	"void"	32	0	1	0	0	0	1	
.STRUCTMEM	"close"	"void"	32	0	1	0	0	0	1	
.STRUCTMEM	"read"	"char"	32	1	1	0	0	0	1	
.STRUCTMEM	"write"	"char"	32	1	1	0	0	0	1	
.STRUCTMEM	"ioctl"	"char"	32	1	1	0	0	0	1	
.STRUCTMEM	"interrupt"	"void"	32	0	1	0	0	0	1	
.STRUCTMEM	"flags"	"char"	8	0	0	0	0	0	0	
.STRUCT_END	"_vos_driver_t"

.STRUCT	"_vos_system_data_area_t"	80
.STRUCTMEM	"next"	"_vos_system_data_area_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"tcb"	"_vos_tcb_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"count"	"int"	32	0	0	0	0	0	0	
.STRUCTMEM	"name"	"char"	16	1	1	0	0	0	1	
.STRUCT_END	"_vos_system_data_area_t"

.ENUM	"IOMUX_INPUT_SIGNALS"
.ENUMERATOR	"IOMUX_IN_DEBUGGER"	0
.ENUMERATOR	"IOMUX_IN_UART_RXD"	1
.ENUMERATOR	"IOMUX_IN_UART_CTS_N"	2
.ENUMERATOR	"IOMUX_IN_UART_DSR_N"	3
.ENUMERATOR	"IOMUX_IN_UART_DCD"	4
.ENUMERATOR	"IOMUX_IN_UART_RI"	5
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_0"	6
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_1"	7
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_2"	8
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_3"	9
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_4"	10
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_5"	11
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_6"	12
.ENUMERATOR	"IOMUX_IN_FIFO_DATA_7"	13
.ENUMERATOR	"IOMUX_IN_FIFO_OE_N"	14
.ENUMERATOR	"IOMUX_IN_FIFO_RD_N"	15
.ENUMERATOR	"IOMUX_IN_FIFO_WR_N"	16
.ENUMERATOR	"IOMUX_IN_SPI_SLAVE_0_CLK"	17
.ENUMERATOR	"IOMUX_IN_SPI_SLAVE_0_MOSI"	18
.ENUMERATOR	"IOMUX_IN_SPI_SLAVE_0_CS"	19
.ENUMERATOR	"IOMUX_IN_SPI_SLAVE_1_CLK"	20
.ENUMERATOR	"IOMUX_IN_SPI_SLAVE_1_MOSI"	21
.ENUMERATOR	"IOMUX_IN_SPI_SLAVE_1_CS"	22
.ENUMERATOR	"IOMUX_IN_SPI_MASTER_MISO"	23
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_0"	24
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_1"	25
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_2"	26
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_3"	27
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_4"	28
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_5"	29
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_6"	30
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_A_7"	31
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_0"	32
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_1"	33
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_2"	34
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_3"	35
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_4"	36
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_5"	37
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_6"	38
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_B_7"	39
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_0"	40
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_1"	41
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_2"	42
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_3"	43
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_4"	44
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_5"	45
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_6"	46
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_C_7"	47
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_0"	48
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_1"	49
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_2"	50
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_3"	51
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_4"	52
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_5"	53
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_6"	54
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_D_7"	55
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_0"	56
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_1"	57
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_2"	58
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_3"	59
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_4"	60
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_5"	61
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_6"	62
.ENUMERATOR	"IOMUX_IN_GPIO_PORT_E_7"	63
.ENUM_END	"IOMUX_INPUT_SIGNALS"

.STRUCT	"_vos_cond_var_t"	40
.STRUCTMEM	"threads"	"_vos_tcb_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"lock"	"_vos_mutex_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"state"	"char"	8	0	0	0	0	0	0	
.STRUCT_END	"_vos_cond_var_t"

.ENUM	"IOMUX_OUTPUT_SIGNALS"
.ENUMERATOR	"IOMUX_OUT_DEBUGGER"	0
.ENUMERATOR	"IOMUX_OUT_UART_TXD"	1
.ENUMERATOR	"IOMUX_OUT_UART_RTS_N"	2
.ENUMERATOR	"IOMUX_OUT_UART_DTR_N"	3
.ENUMERATOR	"IOMUX_OUT_UART_TX_ACTIVE"	4
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_0"	5
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_1"	6
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_2"	7
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_3"	8
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_4"	9
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_5"	10
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_6"	11
.ENUMERATOR	"IOMUX_OUT_FIFO_DATA_7"	12
.ENUMERATOR	"IOMUX_OUT_FIFO_RXF_N"	13
.ENUMERATOR	"IOMUX_OUT_FIFO_TXE_N"	14
.ENUMERATOR	"IOMUX_OUT_PWM_0"	15
.ENUMERATOR	"IOMUX_OUT_PWM_1"	16
.ENUMERATOR	"IOMUX_OUT_PWM_2"	17
.ENUMERATOR	"IOMUX_OUT_PWM_3"	18
.ENUMERATOR	"IOMUX_OUT_PWM_4"	19
.ENUMERATOR	"IOMUX_OUT_PWM_5"	20
.ENUMERATOR	"IOMUX_OUT_PWM_6"	21
.ENUMERATOR	"IOMUX_OUT_PWM_7"	22
.ENUMERATOR	"IOMUX_OUT_SPI_SLAVE_0_MOSI"	23
.ENUMERATOR	"IOMUX_OUT_SPI_SLAVE_0_MISO"	24
.ENUMERATOR	"IOMUX_OUT_SPI_SLAVE_1_MOSI"	25
.ENUMERATOR	"IOMUX_OUT_SPI_SLAVE_1_MISO"	26
.ENUMERATOR	"IOMUX_OUT_SPI_MASTER_CLK"	27
.ENUMERATOR	"IOMUX_OUT_SPI_MASTER_MOSI"	28
.ENUMERATOR	"IOMUX_OUT_SPI_MASTER_CS_0"	29
.ENUMERATOR	"IOMUX_OUT_SPI_MASTER_CS_1"	30
.ENUMERATOR	"IOMUX_OUT_FIFO_CLKOUT_245"	31
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_0"	32
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_1"	33
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_2"	34
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_3"	35
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_4"	36
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_5"	37
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_6"	38
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_A_7"	39
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_0"	40
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_1"	41
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_2"	42
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_3"	43
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_4"	44
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_5"	45
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_6"	46
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_B_7"	47
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_0"	48
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_1"	49
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_2"	50
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_3"	51
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_4"	52
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_5"	53
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_6"	54
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_C_7"	55
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_0"	56
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_1"	57
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_2"	58
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_3"	59
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_4"	60
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_5"	61
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_6"	62
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_D_7"	63
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_0"	64
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_1"	65
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_2"	66
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_3"	67
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_4"	68
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_5"	69
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_6"	70
.ENUMERATOR	"IOMUX_OUT_GPIO_PORT_E_7"	71
.ENUM_END	"IOMUX_OUTPUT_SIGNALS"

.STRUCT	"_vos_semaphore_t"	40
.STRUCTMEM	"val"	"short"	16	1	0	0	0	0	0	
.STRUCTMEM	"threads"	"_vos_tcb_t"	16	0	1	0	0	0	1	
.STRUCTMEM	"usage_count"	"char"	8	1	0	0	0	0	0	
.STRUCT_END	"_vos_semaphore_t"

.STRUCT	"_vos_dma_config_t"	80
.STRUCTMEM	"src"	"__unnamed_struct_1"	16	0	0	0	0	0	0	
.STRUCTMEM	"dest"	"__unnamed_struct_2"	16	0	0	0	0	0	0	
.STRUCTMEM	"bufsiz"	"short"	16	0	0	0	0	0	0	
.STRUCTMEM	"mode"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"fifosize"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"flow_control"	"char"	8	0	0	0	0	0	0	
.STRUCTMEM	"afull_trigger"	"char"	8	0	0	0	0	0	0	
.STRUCT_END	"_vos_dma_config_t"

.ENUM	"__anon_enum_type_1"
.ENUMERATOR	"IDLE"	0
.ENUMERATOR	"BLOCKED"	1
.ENUMERATOR	"READY"	2
.ENUMERATOR	"RUNNING"	3
.ENUMERATOR	"DELAYED"	4
.ENUMERATOR	"GONE"	5
.ENUM_END	"__anon_enum_type_1"

.UNION	"__unnamed_struct_1"	16
.UNIONMEM	"io_addr"	"short"	16	0	0	0	0	0	0	
.UNIONMEM	"mem_addr"	"char"	16	0	1	0	0	0	1	
.UNION_END	"__unnamed_struct_1"

.UNION	"__unnamed_struct_2"	16
.UNIONMEM	"io_addr"	"short"	16	0	0	0	0	0	0	
.UNIONMEM	"mem_addr"	"char"	16	0	1	0	0	0	1	
.UNION_END	"__unnamed_struct_2"

.ENUM	"IOMUX_STATUS"
.ENUMERATOR	"IOMUX_OK"	0
.ENUMERATOR	"IOMUX_INVALID_SIGNAL"	1
.ENUMERATOR	"IOMUX_INVALID_PIN_SELECTION"	2
.ENUMERATOR	"IOMUX_UNABLE_TO_ROUTE_SIGNAL"	3
.ENUMERATOR	"IOMUX_INVLAID_IOCELL_DRIVE_CURRENT"	4
.ENUMERATOR	"IOMUX_INVLAID_IOCELL_TRIGGER"	5
.ENUMERATOR	"IOMUX_INVLAID_IOCELL_SLEW_RATE"	6
.ENUMERATOR	"IOMUX_INVLAID_IOCELL_PULL"	7
.ENUMERATOR	"IOMUX_ERROR"	8
.ENUM_END	"IOMUX_STATUS"

.TYPEDEF	"_vos_semaphore_list_t"	"vos_semaphore_list_t"
.TYPEDEF	"char"	"PF"
.TYPEDEF	"_vos_mutex_t"	"vos_mutex_t"
.TYPEDEF	"_vos_device_t"	"vos_device_t"
.TYPEDEF	"_vos_driver_t"	"vos_driver_t"
.TYPEDEF	"_vos_system_data_area_t"	"vos_system_data_area_t"
.TYPEDEF	"char"	"PF_IO"
.TYPEDEF	"_vos_cond_var_t"	"vos_cond_var_t"
.TYPEDEF	"void"	"PF_INT"
.TYPEDEF	"void"	"PF_OPEN"
.TYPEDEF	"_vos_semaphore_t"	"vos_semaphore_t"
.TYPEDEF	"void"	"PF_CLOSE"
.TYPEDEF	"char"	"PF_IOCTL"
.TYPEDEF	"_vos_dma_config_t"	"vos_dma_config_t"
.TYPEDEF	"void"	"fnVoidPtr"
.TYPEDEF	"_vos_tcb_t"	"vos_tcb_t"
.FUNCTION	"vos_dma_get_fifo_flow_control"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	85	
.FUNC_END	"vos_dma_get_fifo_flow_control"

.FUNCTION	"vos_start_scheduler"	
.RETURN "void"	0	0	0	0	0	0	0	
.FUNC_END	"vos_start_scheduler"

.FUNCTION	"vos_signal_semaphore_from_isr"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"s"	16 "_vos_semaphore_t"	0	1	0	0	0	1	173	
.FUNC_END	"vos_signal_semaphore_from_isr"

.FUNCTION	"vos_malloc"	
.RETURN "void"	16	0	1	0	0	0	1	
.PARAMETER	"size"	16 "short"	0	0	0	0	0	0	25	
.FUNC_END	"vos_malloc"

.FUNCTION	"vos_create_thread_ex"	
.RETURN "_vos_tcb_t"	16	0	1	0	0	0	1	
.PARAMETER	"priority"	8 "char"	0	0	0	0	0	0	101	
.PARAMETER	"stack"	16 "short"	0	0	0	0	0	0	101	
.PARAMETER	"function"	0 "void"	0	0	0	0	0	0	101	
.PARAMETER	"name"	16 "char"	1	1	0	0	0	1	101	
.PARAMETER	"arg_size"	16 "short"	1	0	0	0	0	0	101	
.FUNC_END	"vos_create_thread_ex"

.FUNCTION	"vos_memcpy"	
.RETURN "void"	16	0	1	0	0	0	1	
.PARAMETER	"destination"	16 "void"	0	1	0	0	0	1	28	
.PARAMETER	"source"	16 "void"	0	1	0	0	0	1	28	const
.PARAMETER	"num"	16 "short"	1	0	0	0	0	0	28	
.FUNC_END	"vos_memcpy"

.FUNCTION	"vos_memset"	
.RETURN "void"	16	0	1	0	0	0	1	
.PARAMETER	"dstptr"	16 "void"	0	1	0	0	0	1	27	
.PARAMETER	"value"	32 "int"	1	0	0	0	0	0	27	
.PARAMETER	"num"	16 "short"	1	0	0	0	0	0	27	
.FUNC_END	"vos_memset"

.FUNCTION	"vos_get_package_type"	
.RETURN "char"	8	0	0	0	0	0	0	
.FUNC_END	"vos_get_package_type"

.FUNCTION	"vos_dma_get_fifo_data_register"	
.RETURN "short"	16	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	84	
.FUNC_END	"vos_dma_get_fifo_data_register"

.FUNCTION	"vos_signal_semaphore"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"s"	16 "_vos_semaphore_t"	0	1	0	0	0	1	172	
.FUNC_END	"vos_signal_semaphore"

.FUNCTION	"vos_dma_get_fifo_data"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	87	
.PARAMETER	"dat"	16 "char"	0	1	0	0	0	1	87	
.FUNC_END	"vos_dma_get_fifo_data"

.FUNCTION	"vos_iocell_get_config"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"pin"	8 "char"	0	0	0	0	0	0	235	
.PARAMETER	"drive_current"	16 "char"	0	1	0	0	0	1	235	
.PARAMETER	"trigger"	16 "char"	0	1	0	0	0	1	235	
.PARAMETER	"slew_rate"	16 "char"	0	1	0	0	0	1	235	
.PARAMETER	"pull"	16 "char"	0	1	0	0	0	1	235	
.FUNC_END	"vos_iocell_get_config"

.FUNCTION	"vos_iomux_define_bidi"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"pin"	8 "char"	0	0	0	0	0	0	232	
.PARAMETER	"input_signal"	8 "char"	0	0	0	0	0	0	232	
.PARAMETER	"output_signal"	8 "char"	0	0	0	0	0	0	232	
.FUNC_END	"vos_iomux_define_bidi"

.FUNCTION	"vos_iocell_set_config"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"pin"	8 "char"	0	0	0	0	0	0	236	
.PARAMETER	"drive_current"	8 "char"	0	0	0	0	0	0	236	
.PARAMETER	"trigger"	8 "char"	0	0	0	0	0	0	236	
.PARAMETER	"slew_rate"	8 "char"	0	0	0	0	0	0	236	
.PARAMETER	"pull"	8 "char"	0	0	0	0	0	0	236	
.FUNC_END	"vos_iocell_set_config"

.FUNCTION	"vos_get_chip_revision"	
.RETURN "char"	8	0	0	0	0	0	0	
.FUNC_END	"vos_get_chip_revision"

.FUNCTION	"vos_wait_semaphore_ex"	
.RETURN "char"	8	1	0	0	0	0	0	
.PARAMETER	"l"	16 "_vos_semaphore_list_t"	0	1	0	0	0	1	171	
.FUNC_END	"vos_wait_semaphore_ex"

.FUNCTION	"vos_enable_interrupts"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"mask"	32 "int"	0	0	0	0	0	0	72	
.FUNC_END	"vos_enable_interrupts"

.FUNCTION	"vos_dev_read"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	54	
.PARAMETER	"buf"	16 "char"	0	1	0	0	0	1	54	
.PARAMETER	"num_to_read"	16 "short"	0	0	0	0	0	0	54	
.PARAMETER	"num_read"	16 "short"	0	1	0	0	0	1	54	
.FUNC_END	"vos_dev_read"

.FUNCTION	"vos_dev_open"	
.RETURN "short"	16	0	0	0	0	0	0	
.PARAMETER	"dev_num"	8 "char"	0	0	0	0	0	0	53	
.FUNC_END	"vos_dev_open"

.FUNCTION	"vos_halt_cpu"	
.RETURN "void"	0	0	0	0	0	0	0	
.FUNC_END	"vos_halt_cpu"

.FUNCTION	"vos_dev_init"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"dev_num"	8 "char"	0	0	0	0	0	0	50	
.PARAMETER	"driver_cb"	16 "_vos_driver_t"	0	1	0	0	0	1	50	
.PARAMETER	"context"	16 "void"	0	1	0	0	0	1	50	
.FUNC_END	"vos_dev_init"

.FUNCTION	"vos_dma_get_fifo_count"	
.RETURN "short"	16	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	86	
.FUNC_END	"vos_dma_get_fifo_count"

.FUNCTION	"vos_iomux_define_input"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"pin"	8 "char"	0	0	0	0	0	0	230	
.PARAMETER	"signal"	8 "char"	0	0	0	0	0	0	230	
.FUNC_END	"vos_iomux_define_input"

.FUNCTION	"vos_disable_interrupts"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"mask"	32 "int"	0	0	0	0	0	0	73	
.FUNC_END	"vos_disable_interrupts"

.FUNCTION	"vos_get_idle_thread_tcb"	
.RETURN "_vos_tcb_t"	16	0	1	0	0	0	1	
.FUNC_END	"vos_get_idle_thread_tcb"

.FUNCTION	"vos_init_heap"	
.RETURN "void"	0	0	0	0	0	0	0	
.FUNC_END	"vos_init_heap"

.FUNCTION	"vos_dev_close"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	57	
.FUNC_END	"vos_dev_close"

.FUNCTION	"vos_wdt_clear"	
.RETURN "void"	0	0	0	0	0	0	0	
.FUNC_END	"vos_wdt_clear"

.FUNCTION	"vos_dev_ioctl"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	56	
.PARAMETER	"cb"	16 "void"	0	1	0	0	0	1	56	
.FUNC_END	"vos_dev_ioctl"

.FUNCTION	"vos_dev_write"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	55	
.PARAMETER	"buf"	16 "char"	0	1	0	0	0	1	55	
.PARAMETER	"num_to_write"	16 "short"	0	0	0	0	0	0	55	
.PARAMETER	"num_written"	16 "short"	0	1	0	0	0	1	55	
.FUNC_END	"vos_dev_write"

.FUNCTION	"vos_get_clock_frequency"	
.RETURN "char"	8	0	0	0	0	0	0	
.FUNC_END	"vos_get_clock_frequency"

.FUNCTION	"vos_set_clock_frequency"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"frequency"	8 "char"	0	0	0	0	0	0	217	
.FUNC_END	"vos_set_clock_frequency"

.FUNCTION	"vos_dma_enable"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	81	
.FUNC_END	"vos_dma_enable"

.FUNCTION	"vos_reset_vnc2"	
.RETURN "void"	0	0	0	0	0	0	0	
.FUNC_END	"vos_reset_vnc2"

.FUNCTION	"vos_iomux_define_output"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"pin"	8 "char"	0	0	0	0	0	0	231	
.PARAMETER	"signal"	8 "char"	0	0	0	0	0	0	231	
.FUNC_END	"vos_iomux_define_output"

.FUNCTION	"vos_wdt_enable"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"bitPosition"	8 "char"	0	0	0	0	0	0	252	
.FUNC_END	"vos_wdt_enable"

.FUNCTION	"vos_dma_wait_on_complete"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	83	
.FUNC_END	"vos_dma_wait_on_complete"

.FUNCTION	"vos_lock_mutex"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"m"	16 "_vos_mutex_t"	0	1	0	0	0	1	136	
.FUNC_END	"vos_lock_mutex"

.FUNCTION	"vos_power_down"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"wakeMask"	8 "char"	0	0	0	0	0	0	237	
.FUNC_END	"vos_power_down"

.FUNCTION	"vos_init_mutex"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"m"	16 "_vos_mutex_t"	0	1	0	0	0	1	135	
.PARAMETER	"state"	8 "char"	0	0	0	0	0	0	135	
.FUNC_END	"vos_init_mutex"

.FUNCTION	"vos_get_priority_ceiling"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"m"	16 "_vos_mutex_t"	0	1	0	0	0	1	139	
.FUNC_END	"vos_get_priority_ceiling"

.FUNCTION	"vos_dma_disable"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	82	
.FUNC_END	"vos_dma_disable"

.FUNCTION	"vos_set_priority_ceiling"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"m"	16 "_vos_mutex_t"	0	1	0	0	0	1	140	
.PARAMETER	"priority"	8 "char"	0	0	0	0	0	0	140	
.FUNC_END	"vos_set_priority_ceiling"

.FUNCTION	"vos_dma_release"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	78	
.FUNC_END	"vos_dma_release"

.FUNCTION	"vos_iomux_disable_output"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"pin"	8 "char"	0	0	0	0	0	0	233	
.FUNC_END	"vos_iomux_disable_output"

.FUNCTION	"vos_dma_acquire"	
.RETURN "short"	16	0	0	0	0	0	0	
.FUNC_END	"vos_dma_acquire"

.FUNCTION	"vos_delay_msecs"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"ms"	16 "short"	0	0	0	0	0	0	106	
.FUNC_END	"vos_delay_msecs"

.FUNCTION	"vos_stack_usage"	
.RETURN "short"	16	0	0	0	0	0	0	
.PARAMETER	"tcb"	16 "_vos_tcb_t"	0	1	0	0	0	1	195	
.FUNC_END	"vos_stack_usage"

.FUNCTION	"vos_get_profile"	
.RETURN "int"	32	0	0	0	0	0	0	
.PARAMETER	"tcb"	16 "_vos_tcb_t"	0	1	0	0	0	1	198	
.FUNC_END	"vos_get_profile"

.FUNCTION	"vos_delay_cancel"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"tcb"	16 "_vos_tcb_t"	0	1	0	0	0	1	107	
.FUNC_END	"vos_delay_cancel"

.FUNCTION	"vos_dma_retained_configure"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	80	
.PARAMETER	"mem_addr"	16 "char"	0	1	0	0	0	1	80	
.PARAMETER	"bufsiz"	16 "short"	0	0	0	0	0	0	80	
.FUNC_END	"vos_dma_retained_configure"

.FUNCTION	"vos_unlock_mutex"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"m"	16 "_vos_mutex_t"	0	1	0	0	0	1	138	
.FUNC_END	"vos_unlock_mutex"

.FUNCTION	"vos_create_thread"	
.RETURN "_vos_tcb_t"	16	0	1	0	0	0	1	
.PARAMETER	"priority"	8 "char"	0	0	0	0	0	0	100	
.PARAMETER	"stack"	16 "short"	0	0	0	0	0	0	100	
.PARAMETER	"function"	0 "void"	0	0	0	0	0	0	100	
.PARAMETER	"arg_size"	16 "short"	1	0	0	0	0	0	100	
.FUNC_END	"vos_create_thread"

.FUNCTION	"vos_dma_configure"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"h"	16 "short"	0	0	0	0	0	0	79	
.PARAMETER	"cb"	16 "_vos_dma_config_t"	0	1	0	0	0	1	79	
.FUNC_END	"vos_dma_configure"

.FUNCTION	"vos_init_cond_var"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"cv"	16 "_vos_cond_var_t"	0	1	0	0	0	1	186	
.FUNC_END	"vos_init_cond_var"

.FUNCTION	"vos_wait_cond_var"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"cv"	16 "_vos_cond_var_t"	0	1	0	0	0	1	187	
.PARAMETER	"m"	16 "_vos_mutex_t"	0	1	0	0	0	1	187	
.FUNC_END	"vos_wait_cond_var"

.FUNCTION	"vos_stop_profiler"	
.RETURN "void"	0	0	0	0	0	0	0	
.FUNC_END	"vos_stop_profiler"

.FUNCTION	"vos_trylock_mutex"	
.RETURN "char"	8	0	0	0	0	0	0	
.PARAMETER	"m"	16 "_vos_mutex_t"	0	1	0	0	0	1	137	
.FUNC_END	"vos_trylock_mutex"

.FUNCTION	"vos_free"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"ptrFree"	16 "void"	0	1	0	0	0	1	26	
.FUNC_END	"vos_free"

.FUNCTION	"vos_init"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"quantum"	8 "char"	0	0	0	0	0	0	53	
.PARAMETER	"tick_cnt"	16 "short"	0	0	0	0	0	0	53	
.PARAMETER	"num_devices"	8 "char"	0	0	0	0	0	0	53	
.FUNC_END	"vos_init"

.FUNCTION	"vos_set_idle_thread_tcb_size"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"tcb_size"	16 "short"	0	0	0	0	0	0	103	
.FUNC_END	"vos_set_idle_thread_tcb_size"

.FUNCTION	"vos_init_semaphore"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"sem"	16 "_vos_semaphore_t"	0	1	0	0	0	1	169	
.PARAMETER	"count"	16 "short"	1	0	0	0	0	0	169	
.FUNC_END	"vos_init_semaphore"

.FUNCTION	"vos_wait_semaphore"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"s"	16 "_vos_semaphore_t"	0	1	0	0	0	1	170	
.FUNC_END	"vos_wait_semaphore"

.FUNCTION	"vos_start_profiler"	
.RETURN "void"	0	0	0	0	0	0	0	
.FUNC_END	"vos_start_profiler"

.FUNCTION	"vos_signal_cond_var"	
.RETURN "void"	0	0	0	0	0	0	0	
.PARAMETER	"cv"	16 "_vos_cond_var_t"	0	1	0	0	0	1	188	
.FUNC_END	"vos_signal_cond_var"



.TEXT


.WEAK	"vos_dma_get_fifo_flow_control"

.WEAK	"vos_start_scheduler"

.WEAK	"vos_signal_semaphore_from_isr"

.WEAK	"vos_malloc"

.WEAK	"vos_create_thread_ex"

.WEAK	"vos_memcpy"

.WEAK	"vos_memset"

.WEAK	"vos_get_package_type"

.WEAK	"vos_dma_get_fifo_data_register"

.WEAK	"vos_signal_semaphore"

.WEAK	"vos_dma_get_fifo_data"

.WEAK	"vos_iocell_get_config"

.WEAK	"vos_iomux_define_bidi"

.WEAK	"vos_iocell_set_config"

.WEAK	"vos_get_chip_revision"

.WEAK	"vos_wait_semaphore_ex"

.WEAK	"vos_enable_interrupts"

.WEAK	"vos_dev_read"

.WEAK	"vos_dev_open"

.WEAK	"vos_halt_cpu"

.WEAK	"vos_dev_init"

.WEAK	"vos_dma_get_fifo_count"

.WEAK	"vos_iomux_define_input"

.WEAK	"vos_disable_interrupts"

.WEAK	"vos_get_idle_thread_tcb"

.WEAK	"vos_init_heap"

.WEAK	"vos_dev_close"

.WEAK	"vos_wdt_clear"

.WEAK	"vos_dev_ioctl"

.WEAK	"vos_dev_write"

.WEAK	"vos_get_clock_frequency"

.WEAK	"vos_set_clock_frequency"

.WEAK	"vos_dma_enable"

.WEAK	"vos_reset_vnc2"

.WEAK	"vos_iomux_define_output"

.WEAK	"vos_wdt_enable"

.WEAK	"vos_dma_wait_on_complete"

.WEAK	"vos_lock_mutex"

.WEAK	"vos_power_down"

.WEAK	"vos_init_mutex"

.WEAK	"vos_get_priority_ceiling"

.WEAK	"vos_dma_disable"

.WEAK	"vos_set_priority_ceiling"

.WEAK	"vos_dma_release"

.WEAK	"vos_iomux_disable_output"

.WEAK	"vos_dma_acquire"

.WEAK	"vos_delay_msecs"

.WEAK	"vos_stack_usage"

.WEAK	"vos_get_profile"

.WEAK	"vos_delay_cancel"

.WEAK	"vos_dma_retained_configure"

.WEAK	"vos_unlock_mutex"

.WEAK	"vos_create_thread"

.WEAK	"vos_dma_configure"

.WEAK	"vos_init_cond_var"

.WEAK	"vos_wait_cond_var"

.WEAK	"vos_stop_profiler"

.WEAK	"vos_trylock_mutex"

.WEAK	"vos_free"

.WEAK	"vos_init"

.WEAK	"vos_set_idle_thread_tcb_size"

.WEAK	"vos_init_semaphore"

.WEAK	"vos_wait_semaphore"

.WEAK	"vos_start_profiler"

.WEAK	"vos_signal_cond_var"

.LINE	15
iomux_setup:	
.GLOBAL	 DO_NOT_EXPORT  "iomux_setup"

.FUNCTION	"iomux_setup"	
.RETURN "void"	0	0	0	27	0	0	0	
SP_DEC	$24
.LINE	19
PUSH8	$1
PUSH8	$52
SP_DEC	$1
CALL	vos_iomux_define_input
POP8	%eax
SP_WR8	%eax	$2
SP_INC	$2
.LINE	21
PUSH8	$1
PUSH8	$51
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$3
SP_INC	$2
.LINE	23
PUSH8	$32
PUSH8	$57
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$4
SP_INC	$2
.LINE	25
PUSH8	$0
PUSH8	$1
PUSH8	$0
PUSH8	$1
PUSH8	$57
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$8
SP_INC	$5
.LINE	27
PUSH8	$33
PUSH8	$58
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$6
SP_INC	$2
.LINE	29
PUSH8	$0
PUSH8	$1
PUSH8	$0
PUSH8	$1
PUSH8	$58
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$10
SP_INC	$5
.LINE	31
PUSH8	$34
PUSH8	$59
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$8
SP_INC	$2
.LINE	33
PUSH8	$0
PUSH8	$1
PUSH8	$0
PUSH8	$1
PUSH8	$59
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$12
SP_INC	$5
.LINE	35
PUSH8	$35
PUSH8	$60
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$10
SP_INC	$2
.LINE	37
PUSH8	$0
PUSH8	$1
PUSH8	$0
PUSH8	$1
PUSH8	$60
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$14
SP_INC	$5
.LINE	39
PUSH8	$29
PUSH8	$23
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$12
SP_INC	$2
.LINE	41
PUSH8	$28
PUSH8	$20
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$13
SP_INC	$2
.LINE	43
PUSH8	$23
PUSH8	$22
SP_DEC	$1
CALL	vos_iomux_define_input
POP8	%eax
SP_WR8	%eax	$14
SP_INC	$2
.LINE	45
PUSH8	$27
PUSH8	$19
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$15
SP_INC	$2
.LINE	47
PUSH8	$16
PUSH8	$12
SP_DEC	$1
CALL	vos_iomux_define_output
POP8	%eax
SP_WR8	%eax	$16
SP_INC	$2
.LINE	49
PUSH8	$36
PUSH8	$28
SP_DEC	$1
CALL	vos_iomux_define_input
POP8	%eax
SP_WR8	%eax	$17
SP_INC	$2
.LINE	51
PUSH8	$2
PUSH8	$1
PUSH8	$0
PUSH8	$0
PUSH8	$28
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$21
SP_INC	$5
.LINE	53
PUSH8	$37
PUSH8	$29
SP_DEC	$1
CALL	vos_iomux_define_input
POP8	%eax
SP_WR8	%eax	$19
SP_INC	$2
.LINE	55
PUSH8	$2
PUSH8	$1
PUSH8	$0
PUSH8	$0
PUSH8	$29
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$23
SP_INC	$5
.LINE	57
PUSH8	$38
PUSH8	$31
SP_DEC	$1
CALL	vos_iomux_define_input
POP8	%eax
SP_WR8	%eax	$21
SP_INC	$2
.LINE	59
PUSH8	$2
PUSH8	$1
PUSH8	$0
PUSH8	$0
PUSH8	$31
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$25
SP_INC	$5
.LINE	61
PUSH8	$39
PUSH8	$32
SP_DEC	$1
CALL	vos_iomux_define_input
POP8	%eax
SP_WR8	%eax	$23
SP_INC	$2
.LINE	63
PUSH8	$2
PUSH8	$1
PUSH8	$0
PUSH8	$0
PUSH8	$32
SP_DEC	$1
CALL	vos_iocell_set_config
POP8	%eax
SP_WR8	%eax	$27
SP_INC	$5
.LINE	65
PUSH8	$0
PUSH8	$0
PUSH8	$199
SP_DEC	$1
CALL	vos_iomux_define_bidi
POP8	%eax
SP_WR8	%eax	$26
SP_INC	$3
.LINE	65
SP_INC	$24
RTS	
.FUNC_END	"iomux_setup"

