/*
** Filename: android_acc.h
**
** Automatically created by Application Wizard 1.4.2
**
** Part of solution android_acc in project android_acc
**
** Comments:
**
** Important: Sections between markers "FTDI:S*" and "FTDI:E*" will be overwritten by
** the Application Wizard
*/

#ifndef _android_acc_H_
#define _android_acc_H_

#include "vos.h"

/* FTDI:SHF Header Files */
#include "USB.h"
#include "USBHost.h"
#include "GPIO.h"
#include "PWM.h"
#include "ioctl.h"
#include "USBAndroidAccessory.h"
#include "USBHostAndroidAccessory.h"
/* FTDI:EHF */

/* FTDI:SDC Driver Constants */
#define VOS_DEV_USBHOST_2 0
#define VOS_DEV_GPIO_PORT_A 1
#define VOS_DEV_GPIO_PORT_B 2
#define VOS_DEV_PWM 3
#define VOS_DEV_ANDROID_ACCESSORY 4

#define VOS_NUMBER_DEVICES 5
/* FTDI:EDC */

/* FTDI:SXH Externs */
/* FTDI:EXH */
#define DATA_TYPE_KEYPAD	0
#define DATA_TYPE_SLIDER	1


/*define the accessory packet format*/
typedef struct _android_accessory_packet{
		unsigned char u8Type; /*keypad,slider*/
		unsigned char u8Dir;  /*up/down?*/
		unsigned char u8Reserved; /*reserved for future use*/
		unsigned char u8Data; /*daat to send accross*/
}android_accessory_packet;


#endif /* _android_acc_H_ */
